    <?php
    /**
     * Copyright © 2016 Neoxero. All rights reserved.
     * See COPYING.txt for license details.
     */
// @codingStandardsIgnoreFile

    /**
     * Product media data template
     *
     * @var $block \Magento\Catalog\Block\Product\View\Gallery
     */
    $_objectManager = \Magento\Framework\App\ObjectManager::getInstance();
    $scopeConfig = $_objectManager->create('Magento\Framework\App\Config\ScopeConfigInterface');
    $image = 'category_page_grid';

    $_imagehelper = $this->helper('Magento\Catalog\Helper\Image');

    $product = $_objectManager->get('Magento\Framework\Registry')->registry('current_product');
    $productImage = $_imagehelper->init($product, $image)->constrainOnly(FALSE)->keepAspectRatio(TRUE)->keepFrame(FALSE)->resize(400)->getUrl();
    $productUrl = $product->getProductUrl();
    $productName = $product->getName();
    ?>
    <script>
    <!-- //
        function popWin(url, name, width, height, scroller)
        {
            var outStr = 'height=' + height + ',width=' + width;
            if (scroller != 'true')
            {
                outStr = outStr + ',menubar=no,toolbar=no,location=no,directories=no,status=no,scrollbars=no,resizable=yes';
            } else
            {
                outStr = outStr + ',menubar=no,toolbar=no,location=no,directories=no,status=no,scrollbars,resizable=no';
            }
            window.open(url, name, outStr);
        }
    // -->
    </script>
    <?php if ($product): ?>
        <meta property="og:title" content="<?php echo $productName; ?>" />
        <meta property="og:type" content="product" />
        <meta property="og:url" content="<?php /* @escapeNotVerified */ echo $productUrl ?>" />
        <meta property="og:image" content="<?php echo $productImage; ?>" />
        <meta property="og:image:secure_url" content="<?php echo $productImage; ?>" />
        <meta property="og:description" content="<?php echo strip_tags($product->getDescription()); ?>" />
        <meta property="og:site_name" content="<?php
        echo $scopeConfig->getValue(
                'general/store_information/name', \Magento\Store\Model\ScopeInterface::SCOPE_STORE
        );
        ?>" />
          <?php endif; ?>

    <div class="row product-page-social-row">
        <div class="col-md-12">
            <ul class="list-inline social product-page-social mb1">
              <!--  <li><a title="<?php echo __('Share on Twitter') ?>" href="javascript:popWin('http://twitter.com/home/?status=<?php echo urlencode($productName . ' (' . $productUrl . ')'); ?>','twitter',640,480,'true')"  class="social-item twitter"><i class="my-icon twitter icon-twitter"></i></a></li> -->
                <li><a title="<?php echo __('Share on Facebook') ?>" href="javascript:popWin('https://www.facebook.com/sharer/sharer.php?u=<?php echo urlencode($productUrl); ?>&t=<?php echo urlencode($productName); ?>', 'facebook', '640','480','true');" class="social-item facebook"><i class="my-icon facebook icon-facebook"></i></a></li>
              <!--  <li><a title="<?php echo __('Share on Google Plus') ?>" href="javascript:popWin('https://plus.google.com/share?url=<?php echo urlencode($productUrl); ?>', 'google', '640','480','true');" class="social-item google-plus"><i class="my-icon google-plus icon-google-plus"></i></a></li> -->
            </ul>
        </div>
    </div>
                                                  <!--<div class="product media">-->
                                                      <div data-gallery-role="gallery-placeholder">
                                                          <figure class="text-center loader">
                                                             <img src="<?php /* @escapeNotVerified */ echo $block->getViewFileUrl('images/loader-1.gif'); ?>"
                 alt="<?php /* @escapeNotVerified */ echo __('Loading...') ?>">
                                                          </figure>
                                                      </div>
                                                  <!--</div>-->
<script type="text/x-magento-init">
    {
        "[data-gallery-role=gallery-placeholder]": {
            "mage/gallery/gallery": {
                "mixins":["magnifier/magnify"],
                "magnifierOpts": <?php /* @escapeNotVerified */ echo $block->getMagnifier(); ?>,
                "data": <?php /* @escapeNotVerified */ echo $block->getGalleryImagesJson(); ?>,
                "options": {
                    "direction":"<?php /* @escapeNotVerified */ echo $block->getVar("gallery/direction"); ?>",
                    "nav": "<?php /* @escapeNotVerified */ echo $block->getVar("gallery/nav"); ?>",
                    "loop": <?php /* @escapeNotVerified */ echo $block->getVar("gallery/loop"); ?>,
                    "keyboard": <?php /* @escapeNotVerified */ echo $block->getVar("gallery/keyboard"); ?>,
                    "arrows": <?php /* @escapeNotVerified */ echo $block->getVar("gallery/arrows"); ?>,
                    "allowfullscreen": <?php /* @escapeNotVerified */ echo $block->getVar("gallery/allowfullscreen"); ?>,
                    "showCaption": <?php /* @escapeNotVerified */ echo $block->getVar("gallery/caption"); ?>,
                    "width": <?php /* @escapeNotVerified */ echo $block->getImageAttribute('product_page_image_medium', 'width'); ?>,
                    "thumbwidth": <?php /* @escapeNotVerified */ echo $block->getImageAttribute('product_page_image_small', 'width'); ?>,
                    "thumbheight": <?php /* @escapeNotVerified */ echo $block->getImageAttribute('product_page_image_small', 'height')
                        ?: $block->getImageAttribute('product_page_image_small', 'width'); ?>,
                    "height": <?php /* @escapeNotVerified */ echo $block->getImageAttribute('product_page_image_medium', 'height')
                        ?: $block->getImageAttribute('product_page_image_medium', 'width'); ?>,
                    "transitionduration": <?php /* @escapeNotVerified */  echo $block->getVar("gallery/transition/duration"); ?>,
                    "transition": "<?php /* @escapeNotVerified */  echo $block->getVar("gallery/transition/effect"); ?>",
                    "navarrows": <?php /* @escapeNotVerified */  echo $block->getVar("gallery/navarrows"); ?>,
                    "navtype": "<?php /* @escapeNotVerified */  echo $block->getVar("gallery/navtype"); ?>",               
                    "navdir": "<?php /* @escapeNotVerified */  echo $block->getVar("gallery/navdir"); ?>"
                },
                "fullscreen": {
                    "nav": "<?php /* @escapeNotVerified */  echo $block->getVar("gallery/fullscreen/nav"); ?>",
                    "loop": <?php /* @escapeNotVerified */  echo $block->getVar("gallery/fullscreen/loop"); ?>,
                    "navdir": "<?php /* @escapeNotVerified */  echo $block->getVar("gallery/fullscreen/navdir"); ?>",
                    "arrows": <?php /* @escapeNotVerified */  echo $block->getVar("gallery/fullscreen/arrows"); ?>,
                    "showCaption": <?php /* @escapeNotVerified */  echo $block->getVar("gallery/fullscreen/caption"); ?>,
                    "transitionduration": <?php /* @escapeNotVerified */  echo $block->getVar("gallery/fullscreen/transition/duration"); ?>,
                    "transition": "<?php /* @escapeNotVerified */  echo $block->getVar("gallery/fullscreen/transition/effect"); ?>"
                },
                "breakpoints": <?php /* @escapeNotVerified */ echo $block->getBreakpoints(); ?>
            }
        }
    }
</script>
